SELECT final.res res_id, 
   final.res_name res_name,
   final.res_mgr res_mgr,
   final.avail avail, 
   final.alloc alloc, 
   alloc_pct alloc_pct  
  FROM (SELECT srmr.id res, srmr.full_name res_name, mgr.full_name res_mgr,
           av.avail,
           NVL (al.alloc, 0) alloc,
           NVL (al.alloc, 0) / av.avail * 100 alloc_pct,
           CASE
              WHEN NVL (al.alloc, 0) / av.avail * 100 < 80 THEN 1
              WHEN NVL (al.alloc, 0) / av.avail * 100 BETWEEN 80 AND 120 THEN 2
              WHEN NVL (al.alloc, 0) / av.avail * 100 > 120 THEN 3
           END grp_id,
           CASE
              WHEN NVL (al.alloc, 0) / av.avail * 100 < 80
              THEN
                 'A: Under Allocated (Less Than 80%)'
              WHEN NVL (al.alloc, 0) / av.avail * 100 BETWEEN 80 AND 120
              THEN
                 'B: Appropriately Allocated (Between 80-120%)'
              WHEN NVL (al.alloc, 0) / av.avail * 100 > 120
              THEN
                 'C: Over Allocated (Over 120%)'
           END alloc_grp
      FROM srm_resources srmr
      LEFT JOIN srm_resources mgr
      ON mgr.user_id = srmr.manager_id
     INNER JOIN prj_resources prjr 
         ON srmr.id = prjr.prid AND prjr.prisrole = 0
     INNER JOIN (SELECT av.prj_object_id resource_id, 
                        SUM(av.slice) avail
                   FROM prj_blb_slices av
                  WHERE av.slice_request_id = 1 
                        AND av.slice > 0 
                        AND av.slice_date BETWEEN to_date(REPLACE(SUBSTR(:param_/data/stdate/@value,0,10),'-',''), 'YYYYMMDD') 
                                              AND to_date(REPLACE(SUBSTR(:param_/data/enddate/@value,0,10),'-',''), 'YYYYMMDD')
                  GROUP BY av.prj_object_id) av 
         ON srmr.id = av.resource_id
      LEFT JOIN (SELECT tm.prresourceid resource_id, 
                        SUM(al.slice) alloc
                   FROM inv_investments invi
                  LEFT OUTER JOIN inv_projects invp 
                      ON invi.id = invp.prid and invp.is_template = 0
                  INNER JOIN prteam tm 
                      ON invi.id = tm.prprojectid
                         AND invi.odf_object_code <> 'idea'
                  INNER JOIN prj_blb_slices al 
                      ON tm.prid = al.prj_object_id 
                         AND al.slice_request_id = 10
                  WHERE invi.is_active = 1 
                        AND NVL(invp.is_template,0) = 0
                        AND al.slice_date BETWEEN to_date(REPLACE(SUBSTR(:param_/data/stdate/@value,0,10),'-',''), 'YYYYMMDD') 
                                              AND to_date(REPLACE(SUBSTR(:param_/data/enddate/@value,0,10),'-',''), 'YYYYMMDD')
                  GROUP BY tm.prresourceid) al 
         ON srmr.id = al.resource_id
     WHERE srmr.is_active = 1
           AND (:param_/data/robs/@value = 0 
                   OR   EXISTS (SELECT 1
                         FROM prj_obs_units_flat obsf
                        INNER JOIN prj_obs_associations obsa 
                            ON obsf.unit_id = obsa.unit_id and obsa.table_name = 'SRM_RESOURCES'
                        WHERE obsf.branch_unit_id = :param_/data/robs/@value 
                              AND obsa.record_id = srmr.id)
   )) final
 WHERE 1=1
AND final.res IN (NULL)
AND final.res = :res_id
AND final.res >= :res_id_from
AND final.res <= :res_id_to
AND NLS_UPPER(trim(final.res_name)) LIKE NLS_UPPER(trim(:res_name_wildcard)) ESCAPE '\'
AND final.res_name IN (NULL)
AND final.res_name = :res_name
AND final.res_name >= :res_name_from
AND final.res_name <= :res_name_to
AND NLS_UPPER(trim(final.res_mgr)) LIKE NLS_UPPER(trim(:res_mgr_wildcard)) ESCAPE '\'
AND final.res_mgr IN (NULL)
AND final.res_mgr = :res_mgr
AND final.res_mgr >= :res_mgr_from
AND final.res_mgr <= :res_mgr_to
AND final.avail IN (NULL)
AND final.avail = :avail
AND final.avail >= :avail_from
AND final.avail <= :avail_to
AND final.alloc IN (NULL)
AND final.alloc = :alloc
AND final.alloc >= :alloc_from
AND final.alloc <= :alloc_to
AND alloc_pct IN (NULL)
AND alloc_pct = :alloc_pct
AND alloc_pct >= :alloc_pct_from
AND alloc_pct <= :alloc_pct_to
AND final.grp_id = :param_/data/grpid/@value

HAVING 1=1